
<template>
<drop @drop="outside" class="shop">
        <div>
          <div class="blogger_name">
            {{ this.blogger_name != "" ? this.blogger_name : "BLOGGER NAME" }}
          </div>
          <div class="hero_img" @drop="outside">
            <img v-if="hero_image" :src="hero_image" style="width: 150px" />
          </div>
          <div>
            <div
              class="thumb_img"
              v-for="(item, idx) in this.products.slice(0, 8)"
              :key="idx"
            >
              <img :src="item.image_url" style="width: 30px; height: 30px" />
            </div>
          </div>
        </div>
      </drop>
</template>

<script>
import { Drop } from "vue-easy-dnd";
export default {
  data() {
    return {
      hero_image: null,
      blogger_name: "",
      products: ["", "", "", "", "", "", "", ""],
    };
  },
  components: {
    Drop,
  },
  methods: {
    outside(e) {
      this.hero_image = e.data.hero_image;
      this.blogger_name = e.data.profile.display_name;
      this.products = e.data.products;
    },
  },
};
</script>

<style scoped>
.admin {
  display: block;
  /* background-color: #ccc; */
  padding: 10px;
}

.select-style {
  width: 100px;
  display: inline-block;
}
h2 {
  color: #888888 !important;
  display: block;
  font-family: Didot, "Palatino Linotype", Palatino, "Book Antigua", serif;
  font-size: 14px;
  font-size: 1.5vw;
  font-style: italic;
  font-weight: normal;
  line-height: 120%;
  margin: 0;
  text-align: center;
}

.shop {
  display: inline-block;
  width: 30%;
  /* height: 200px; */
  margin: 5px;
  min-width: 150px;
}

.blogger_name {
  font-size: 20px;
}
.hero_img {
  background-color: #ccc;
  border: 1px dotted gray;
  display: block;
  width: 100%;
  min-width: 150px;
  max-width: 200px;
  min-height: 200px;
  /* height: 150px; */
  margin: 2px;
}

.hero_img img {
  max-width: 190px;
}

.thumb_img {
  display: inline-block;
  background-color: #ccc;
  border: 1px dotted gray;
  width: 20%;
  min-width: 30px;
  height: 30px;
  margin: 2px;
}

.thumb_img img {
  max-width: 30px;
  min-width: 30px;
  width: 30px;
}
</style>